> ## Documentation Index
> Fetch the complete documentation index at: https://vidlab7-d7584a5d.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create meeting room

> Establishes a live meeting room featuring an AI assistant, accessible to a single participant. Upon joining, the user may engage in a timed conversation with the assistant.

### Headers

<ParamField header="x-api-key" type="string" required placeholder="YOUR_API_KEY">
  Your Moonscale API key used for authentication.
</ParamField>

<ParamField header="Content-Type" type="string" placeholder="application/json">
  The content type of the request body. Always `application/json`.
</ParamField>

### Body <sup>application/json </sup>

<ParamField body="liveAvatarId" type="string" required placeholder="live-avatar-uuid">
  The UUID of the LiveAvatar that should be used for the meeting as a string.
</ParamField>

<ParamField body="conversationShortCode" type="string" placeholder="conversation-short-code">
  The conversationShortCode for the liveAvatar that should be used for the meeting as a string. If there is no current conversation history with this avatar, leave it blank.
</ParamField>

<ParamField body="contactEmail" type="string" placeholder="contact-email">
  The contact email that will be used for the current meeting.
</ParamField>

<ParamField body="privacy" type="string" placeholder="private">
  The privacy setting of the meeting room, a string value of either public or private.
</ParamField>

<ParamField body="enableChat" type="boolean" placeholder="true">
  The enable chat setting for the room, which opens the chat up by default once the call starts, a boolean value that is defaulted to true.
</ParamField>

<ParamField body="roomSettings" type="object">
  The daily meeting room properties for the meeting room. Currently only supports the property "shouldBotJoinImmediately", which is defaulted to false.
</ParamField>

<RequestExample>
  ```bash Example Request theme={null}
  curl --location --request POST 'https://api-prd.moonscale.com/api/v1/rooms' \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <YOUR_API_KEY>' \
  --data-raw '{
      {
      "name": "room-name",
      "liveAvatarId": "avatar-uuid",
      "conversationShortCode": "conversation-shortcode"
      "contactEmail": "name@example.com"
      "privacy": "private",
      "enableChat": true,
      "roomSettings": { "shouldBotJoinImmediately": false },
      "context": "context"
  }
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "url": "https://your-daily-room-url",
      "conversationId": "conversation-id"
  }
  ```
</ResponseExample>

### Responses

***

#### 201:

<ResponseField name="url" type="string">
  The URL for the meeting room with token attached to it for entry by the client.
</ResponseField>

<ResponseField name="conversationId" type="string">
  The conversation id (UUID) for the meeting room used to retrieve the transcripts as a string.
</ResponseField>
